Subject: Re: Merging ppc32 and ppc64

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 10 Aug 2005 12:51:25 +0200

> Having the flattened device tree doesn't mean that we will be using
> the device tree less, it means we will be using it _more_.

The reason Segher is freaking out is because he wants to keep OF alive
in the future while the kernel is running.... (at least with SLOF)

I think that would require a different entry point with no flattened
tree, and changing of all the OF accessors to call OF instead of walking
an in-kernel tree. That is far from our current target though.

Ben.